#include "uart_ctrl.hpp"
#include <string.h>

void UART_CTRL_Interface::registerCallback_Packet(UART_CTRL_Callback_Packet callback, void *args) {
    packetCallback = callback;
    packetCallbackArgs = args;
}

void UART_CTRL_Interface::registerCallback_PerformScan(UART_CTRL_Callback_PerformScan callback, void *args) {
    performScanCallback = callback;
    performScanCallbackArgs = args;
}

void UART_CTRL_Interface::registerCallback_ReqSlotUpdate(UART_CTRL_Callback_ReqSlotUpdate callback, void *args) {
    reqSlotUpdateCallback = callback;
    reqSlotUpdateCallbackArgs = args;
}

void UART_CTRL_Interface::registerCallback_GetInfo(UART_CTRL_Callback_GetInfo callback, void *args) {
    getInfoCallback = callback;
    getInfoCallbackArgs = args;
}